libetonyek::IWORKPath Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Attributes | Friends | List of all members
libetonyek::IWORKPath Class Reference

`#include <IWORKPath.h>`

## Classes
struct | Impl
struct | InvalidException

## Public Member Functions
| IWORKPath ()
| IWORKPath (const std::string &path)
| IWORKPath (const IWORKPath &other)
IWORKPath & | operator= (const IWORKPath &other)
void | swap (IWORKPath &other)
void | clear ()
void | appendMoveTo (double x, double y)
void | appendLineTo (double x, double y)
void | appendCurveTo (double x1, double y1, double x2, double y2, double x, double y)
void | appendClose ()
void | operator*= (const glm::dmat3 &tr)
| Transform all elements of the path. More...
const std::string | str () const
void | write (librevenge::RVNGPropertyListVector &vec) const
| Create librevenge representation of this path. More...

## Private Attributes
boost::shared_ptr< Impl > | m_impl

## Friends
bool | approxEqual (const IWORKPath &left, const IWORKPath &right, const double eps)

## Constructor & Destructor Documentation

libetonyek::IWORKPath::IWORKPath | ( |  | ) |

Referenced by libetonyek::IWORKPath::Impl::Impl().

libetonyek::IWORKPath::IWORKPath | ( | const std::string & | path | ) |
| explicit

libetonyek::IWORKPath::IWORKPath | ( | const IWORKPath & | other | ) |

## Member Function Documentation

void libetonyek::IWORKPath::appendClose | ( |  | ) |

Referenced by libetonyek::KEYCollector::drawTextBox(), and libetonyek::IWORKPath::Impl::Impl().

void libetonyek::IWORKPath::appendCurveTo | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2,
|  | double | x,
|  | double | y
| ) |  |

Referenced by libetonyek::IWORKPath::Impl::Impl().

void libetonyek::IWORKPath::appendLineTo | ( | double | x,
|  | double | y
| ) |  |

Referenced by libetonyek::KEYCollector::drawTextBox(), and libetonyek::IWORKPath::Impl::Impl().

void libetonyek::IWORKPath::appendMoveTo | ( | double | x,
|  | double | y
| ) |  |

Referenced by libetonyek::KEYCollector::drawTextBox(), and libetonyek::IWORKPath::Impl::Impl().

void libetonyek::IWORKPath::clear | ( |  | ) |

Referenced by libetonyek::IWORKPath::Impl::Impl().

void libetonyek::IWORKPath::operator*= | ( | const glm::dmat3 & | tr | ) |

Transform all elements of the path.

- [in] tr the transformation

Referenced by libetonyek::IWORKPath::Impl::Impl().

IWORKPath& libetonyek::IWORKPath::operator= | ( | const IWORKPath & | other | ) |

Referenced by libetonyek::IWORKPath::Impl::Impl().

const std::string libetonyek::IWORKPath::str | ( |  | ) | const

Referenced by libetonyek::IWORKPath::Impl::Impl().

void libetonyek::IWORKPath::swap | ( | IWORKPath & | other | ) |

Referenced by libetonyek::IWORKPath::Impl::Impl().

void libetonyek::IWORKPath::write | ( | librevenge::RVNGPropertyListVector & | vec | ) | const

Create librevenge representation of this path.

Referenced by libetonyek::IWORKCollector::drawShape(), libetonyek::KEYCollector::drawTextBox(), and libetonyek::IWORKPath::Impl::Impl().

## Friends And Related Function Documentation

bool approxEqual | ( | const IWORKPath & | left,
|  | const IWORKPath & | right,
|  | const double | eps
| ) |  |
| friend

Referenced by libetonyek::IWORKPath::Impl::Impl().

## Member Data Documentation

boost::shared_ptr<Impl> libetonyek::IWORKPath::m_impl
| private

Referenced by libetonyek::IWORKPath::Impl::Impl().

The documentation for this class was generated from the following file:

- IWORKPath.h